import { createApp } from 'vue'
import 'virtual:windi.css'

import App from './App.vue'
import router from './router/index'

import 'element-plus/es/components/message/style/css'
import 'element-plus/es/components/message-box/style/css'

import { createPinia } from 'pinia'
import piniaPluginPersist from 'pinia-plugin-persist'
const store = createPinia()
store.use(piniaPluginPersist)

const app = createApp(App)
app.use(router)
app.use(store)

app.mount('#app')

